as.coastline {oce} | R Documentation

## Coerce data into coastline dataset

### Description

Coerces a sequence of longitudes and latitudes into a coastline dataset.

### Usage

    as.coastline(longitude, latitude, fillable)

### Arguments

`longitude` | the longitude in decimal degrees, positive east of Greenwich, or a data frame with columns named `latitude` and `longitude`, in which case these values are extracted from the data frame and the second argument is ignored.
`latitude` | the latitude in decimal degrees, positive north of the Equator.
`fillable` | boolean indicating whether the coastline can be drawn as a filled polygon.

### Details

This may be used when `read.coastline` cannot read a file, or when the data have been manipulated.

### Value

An object of `class` `"coastline"` (for details, see `read.coastline`).

### Author(s)

Dan Kelley

### References

The NOAA site http://www.ngdc.noaa.gov/mgg/shorelines/shorelines.html is a good source for coastline data files.

### See Also

The documentation for `coastline-class` explains the structure of coastline objects, and also outlines the other functions dealing with them.

[Package oce version 0.9-18 Index]